@import "../../assets/variables";

@mixin main($root) {
  cursor: pointer;

  display: flex;
  align-items: center;

  transition: width .15s;
}

@mixin container($root) {
  display: flex;

  flex-grow: 1;

  &--state-outline {
    border-radius: $br-default;
    box-shadow: 0 0 0 1px $color-font;
  }
}

@mixin before($root) {
  flex-shrink: 0;

  display: flex;
  align-items: center;

  &:empty {
    display: none;
  }

  &:not(:empty) {
    + #{$root}__content,
    + #{$root}__after {
      margin-left: $padding-md;
    }
  }
}

@mixin content($root) {
  flex-grow: 1;

  display: flex;
  align-items: center;

  &:not(:empty) {
    + #{$root}__after {
      margin-left: $padding-md;
    }
  }
}

@mixin after($root) {
  flex-shrink: 0;

  display: flex;
  align-items: center;

  &:empty {
    display: none;
  }
}
